<?php

    include ('../../composants/connect-bdd/connexion_bdd.php');
    $id = $_GET['id'];

    $nom_groupe_id = $_POST['groupeSG'];

    $reponse = $bdd->query("DELETE FROM `groupe_contact` WHERE id_groupe={$nom_groupe_id}") or die(print_r($bdd->errorInfo()));
    $reponse->closeCursor();
/*----  Pour afficher le nom du groupe supprimé dans l'alerte de suppression validée  ----
    $reponse2 = $bdd->query("SELECT nom_groupe FROM groupe_contact WHERE id_groupe ={$nom_groupe_id}") or die(print_r($bdd->errorInfo()));
    $nom_groupe = $reponse2->fetch();
    $reponse2->closeCursor();
*/
    if($reponse != null) {
//        echo("<script>alert('Le groupe ".$nom_groupe." a bien été supprimé.');</script>");
        echo("<script>alert('Le groupe a bien été supprimé.');</script>");
        echo("<SCRIPT LANGUAGE='JavaScript'>document.location.href='../../composants/templates/layout-admin.php?id=" . $id . "&pageVisitee=contacts&nomGroupe=Groupes&rech=true'</SCRIPT>");
    } else {
        echo("<script>alert('ERROR');</script>");
    }
?>
